lv.lumii.layoutengine.polyomino

## Class Polyomino

- java.lang.Object
- - lv.lumii.layoutengine.polyomino.Polyomino

-     public final class Polyomino
      extends java.lang.Object

  This class defines a polyomino.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Polyomino.IntegerPoint` This auxilary class defines an integer point.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.ArrayList<Polyomino.IntegerPoint>` | `coord` Polyomino cells
    `double` | `maxX` Represents rectangle enclosing connected component
    `double` | `maxY` Represents rectangle enclosing connected component
    `double` | `minX` Represents rectangle enclosing connected component
    `double` | `minY` Represents rectangle enclosing connected component
    `double` | `spacingX` Spacings from rectangle enclosing connected component
    `double` | `spacingY` Spacings from rectangle enclosing connected component
    `int` | `x`
    `int` | `y`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Polyomino()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### minX

          public double minX

      Represents rectangle enclosing connected component

    - #### maxX

          public double maxX

      Represents rectangle enclosing connected component

    - #### minY

          public double minY

      Represents rectangle enclosing connected component

    - #### maxY

          public double maxY

      Represents rectangle enclosing connected component

    - #### spacingX

          public double spacingX

      Spacings from rectangle enclosing connected component

    - #### spacingY

          public double spacingY

      Spacings from rectangle enclosing connected component

    - #### x

          public int x

    - #### y

          public int y

    - #### coord

          public java.util.ArrayList<Polyomino.IntegerPoint> coord

      Polyomino cells

  - ### Constructor Detail

    - #### Polyomino

          public Polyomino()